eterm (0.9.6-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Steve Langasek <steve.langasek@canonical.com> to fix
    FTBFS. (Closes: #1066342)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 20:22:04 +0200

eterm (0.9.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused Build-Depends: libpcre3-dev. Closes: #1000101.

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jul 2023 20:01:59 +0200

eterm (0.9.6-7) unstable; urgency=medium

  * Fix FTBFS with imlib2 1.9.1. Closes: #1018023.
    Thanks to Matthew Vernon for pointing me to the patch used by netbsd.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Fri, 10 Mar 2023 21:03:30 +0100

eterm (0.9.6-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from rxvt-unicode to fix CVE-2021-33477.
    (Closes: #989041)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Jun 2021 01:11:10 +0530

eterm (0.9.6-6) unstable; urgency=low

  * New maintainer. Closes: #620507.
  * debian/control: Change Build-Depends from man2html to man2html-base
    to allow cross build from source.
    Thanks to Helmut Grohne for the patch. Closes: #902481.
  * debian/rules: Added hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * Standards-Version bumped to 3.9.7.

 -- José Antonio Jiménez Madrid <donjosemadrid@gmail.com>  Mon, 22 Oct 2018 17:12:27 +0200

eterm (0.9.6-5) unstable; urgency=medium

  * QA upload.
  * Rename all patches to have .patch ending.
  * Fix Esetroot on PseudoColor visual. Closes: #728813.
    Thanks to Kevin Ryde for the patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Jan 2017 19:02:04 +0100

eterm (0.9.6-4) unstable; urgency=medium

  * QA upload.
  * Eterm now should run shell correctly. Closes: #770369.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 05 Mar 2016 17:22:26 +0100

eterm (0.9.6-3) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/manpage-is-dated-2008-08-17 to hardcode
    manpage date to the timestamp it has in upstream tarball.
  * debian/control: Pre-Depends: ${misc:Pre-Depends}.
  * debian/rules: Obsolete builddir stuff and use standard dh.
  * debian/eterm.lintian: Update to current version.
  * Add debian/patches/typos-in-eterm-1-in. Closes: #351426.
  * Add debian/patches/typos-in-eterm-reference-html.
  * Fix typo in eterm-utils.1. Closes: #351427.

 -- Santiago Vila <sanvila@debian.org>  Sun, 06 Sep 2015 19:18:02 +0200

eterm (0.9.6-2) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * We will do fine without using the build date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 00:27:16 +0200

eterm (0.9.6-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
    (Closes: #502316).
  * Add debian/source/format.
  * Remove patch 000_build_hacks.diff
  * Drop quilt as build-depend (no more patches left) and remove patch target
    in debian/rules.
  * debian/control: add Homepage.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 21 May 2012 20:34:33 +0200

eterm (0.9.5-5) unstable; urgency=low

  * QA upload.
  * Provide build-arch target in debian/builddir.mk to fix FTBFS.
    (Closes: #666367).

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 15:30:12 +0000

eterm (0.9.5-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Pre-Depend on multiarch-support to ensure libEterm.so can be found by the
    dynamic linker at every point during an upgrade.
  * Standards-Version bumped to 3.9.3.
  * debian/eterm.copyright renamed to debian/copyright as per Debian Policy
    Manual section 12.5.
  * ${misc:Depends} added to the dependencies.
  * Text of the BSD license included in debian/copyright.
  * Debhelper compatibility version set to 9.

 -- Emanuele Rocca <ema@debian.org>  Thu, 10 May 2012 11:05:01 +0200

eterm (0.9.5-3) unstable; urgency=low

  * QA upload.
  * Don't ship .la files (Closes: #621226).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 11:52:11 +0200

eterm (0.9.5-2) unstable; urgency=low

  * New maintainer. (Closes: #492496)
  * The set RPATH in eterm has been removed in this revision, therefore two
    lintian overrides has been deleted.
  * debian/control: eterm Build-Depends on chrpath.
  * debian/compat: was updated to 7.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 02 Aug 2008 10:21:21 -0430

eterm (0.9.5-1) unstable; urgency=low

  * New upstream version
  * converted build to debhelper 7
  * orphaned package

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 26 Jul 2008 02:41:48 -0400

eterm (0.9.4.0debian1-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix opening the terminal on display :0 if no DISPLAY environment
    variable is specified to prevent local attackers from highjacking
    X11 connections in certain environments (CVE-2008-1692; Closes: #473127)

 -- Nico Golde <nion@debian.org>  Tue, 15 Apr 2008 19:15:59 +0200

eterm (0.9.4.0debian1-2) unstable; urgency=low

  * debian/copyright: uploaded wrong copy in 0.9.4.0debian1-1

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Oct 2006 11:11:27 -0400

eterm (0.9.4.0debian1-1) unstable; urgency=low

  * New upstream release
  * removed src/grkelot.c and src/gkrelot.h from the orig.tar.gz
  * gkrelot removal and upstream license corrections closes: 359707
  * debian/copyright: added file specific license and copyright info
  * updated standards version to 3.7.2.1
  * removed doc/Eterm.tcap for now

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Oct 2006 13:12:49 -0400

eterm (0.9.3-1) unstable; urgency=low

  * New upstream version + 20060111 CVS pull
  * build depend on libast2-dev (>= 0.7)
  * dropped src/command.c patch introduced in 0.9.2-8.1

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 12 Feb 2006 18:18:23 -0500

eterm (0.9.2-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Andreas Jochens to fix GCC 4.0 build failure,
    by not casting lvalues (Closes: #297917).
  * debian/control:
    - Remove duplicate Depends lines.
    - Update to Standards-Version 3.6.2.

 -- Roger Leigh <rleigh@debian.org>  Tue, 19 Jul 2005 22:51:21 +0100

eterm (0.9.2-8) unstable; urgency=low

  * src/startup.c: disable use of ~/user.cfg, patch provdided by Michael
    Jennings. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  4 May 2004 09:30:14 -0400

eterm (0.9.2-7) unstable; urgency=low

  * debian/control: description update: removed unicode support and
    changed Imlib to Imlib2

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 22 Apr 2004 09:24:27 -0400

eterm (0.9.2-6) unstable; urgency=low

  * debian/control: removed Depends ncurses-term. Eterm term definitions
    are in ncurses-base now, thanks to Daniel Jacobowitz.
  * debian/control: adjusted Build-Depends for xlibs-dev split, added:
    libxmu-dev, libsm-dev, libice-dev, libxext-dev, libx11-dev, libxt-dev
  * Closes: Bug#233806, missing README.Escreen, reported by Grant Bowman.
    Thanks.
  * Closes: Bug#243366, saving theme settings saves executed command,
    reported by Ben Armstrong and corrected by upstream. Thanks.
  * Addresses: Bug#244808, compile with disabled title-reporting and
    iconname-reporting, problem reported by Jan Minar. Thanks.
 -- Laurence J. Lane <ljlane@debian.org>  Tue, 20 Apr 2004 20:51:52 -0400

eterm (0.9.2-5) unstable; urgency=low

  * added upstream CVS changes to src/startup.{c,h} for EWMH-compliant
    desktop atom. Fixes a problem with syncing desktop backgrounds that
    was reported by Elmoe.

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 22 Nov 2003 09:51:07 -0500

eterm (0.9.2-4) unstable; urgency=low

  * Closes: Bug#221582, Eterm crashes when Kinput2 (XIM) exits, reported
    and corrected (configure.in patch) by Horms . Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 19 Nov 2003 05:55:15 -0500

eterm (0.9.2-3) unstable; urgency=low

  * dancing with buiildds, libast2-dev out of sync snafu
  * corrected source, use non-native format
  * debian/control: Build-Depends: libast2-dev (>= 0.6-0pre2003010606)
  * configure.in: removed another screen test
  * debian/eterm.postinst: removed ldconfig
  * debian/eterm.postrm: removed ldconfig
  * debian/prerm: added #DEBHELPER# tag
  * debian/compat: removed
  * Closes: Bug#205526, postinst's chown should use ':' not '.',
    reported by  Norbert Tretkowski. Thanks.
  * Closes: Bug#172058, minor description improvement, s/unicode/Unicode,
    reported by Martin Michlmayr. Thanks.
  * Closes: Bug#197123, missing Build-Depend, reported by Norbert
    Tretkowski, Thanks. mangled configure.in test
  * Closes: Bug#176274, wrong assumption on char signedness, reported by
    Gerhard Tonn. Fixed upstream by Michael Jennings. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  7 Nov 2003 19:19:20 -0500

eterm (0.9.2-2) unstable; urgency=low

  * converted to CDBS
  * removed configure.in's -lttf and screen tests
  * regenerated various autotools files, config* and all
  * removed debian/compat debian/eterm.shlibs debian/local.shlibs
  * added debian/eterm.install debian/eterm.manpages
  * moved debian/eterm-prerm to debian/eterm.prerm

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  2 Nov 2003 05:20:28 -0500

eterm (0.9.2-1) unstable; urgency=low

  * reverted to actual 0.9.2 source + CVS patches, no code changes
  * options.c patch from Matt Zimmerman corrects PATH_ENV buffer overflow

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Jun 2003 20:58:30 -0400

eterm (0.9.2-0pre2003010602) unstable; urgency=low

  * rebuild for libast2

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  8 Jan 2003 13:30:43 -0500

eterm (0.9.2-0pre2003010601) unstable; urgency=low

  * CVS snapshot

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  7 Jan 2003 04:40:36 -0500

eterm (0.9.2-0pre2002112101) unstable; urgency=low

  * CVS snapshot
  * added libpcre3-dev build dependency
  * updated standards version to 3.5.8.0

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 21 Nov 2002 19:19:12 -0500

eterm (0.9.2-0pre2002111702) unstable; urgency=low

  * rebuilt with versioned libast

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 17 Nov 2002 20:15:55 -0500

eterm (0.9.2-0pre2002111701) unstable; urgency=low

  * CVS snapshot
  * update Standards-Version to 3.5.7.0

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 12 Nov 2002 19:28:21 -0500

eterm (0.9.2-0pre2002070301) unstable; urgency=low

  * CVS snapshot
  * update to debhelper 4

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  4 Jul 2002 01:58:35 -0400

eterm (0.9.2-0pre2002042903) woody-proposed-updates unstable; urgency=low

  * sync the w-p-u and unstable updates

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 19:27:50 +0000

eterm (0.9.2-0pre2002042902) woody-proposed-updates; urgency=high

  * corrects ESC code file writing hole, closes: 141374

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 May 2002 18:16:51 +0000

eterm (0.9.2-0pre2002042801) unstable; urgency=high

  * CVS snapshot
    * 24bpp transparency fixed, closes: 144536 144758
    * buttonbar.c ASSERT error fixed

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Apr 2002 15:39:02 -0400

eterm (0.9.2-0pre2002042402) unstable; urgency=high

  * CVS snapshot, _major_ transparecy bug and minor bugs fixed

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 25 Apr 2002 11:28:23 -0400

eterm (0.9.2-0pre2002042401) unstable; urgency=low

  * CVS snapshot, transparency bug fixed .. somehow or another

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 24 Apr 2002 14:09:13 -0400

eterm (0.9.2-0pre2002042101) unstable; urgency=low

  * CVS snapshot
    * closes 143328, escape characters in --help output
    * corrects maintainer typo in defaultfont.c

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 21 Apr 2002 11:34:03 +0000

eterm (0.9.2-0pre2002041104) unstable; urgency=medium

  * altered the noenc/none corrections to match upstream source

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 15 Apr 2002 00:25:48 +0000

eterm (0.9.2-0pre2002041103) unstable; urgency=medium

  * CVS snapshot, 0.9.2 pre-release
  * copyright changed from GPL to a BSDish license at some point

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 14 Apr 2002 15:17:59 -0400

eterm (0.9.1-2) unstable; urgency=low

  * src/command.c: revert setlocale changes

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 11 Oct 2001 10:35:12 -0400

eterm (0.9.1-1) unstable; urgency=low

  * new upstream release
  * src/command.c: CVS revision 1.61, printscreen fix
  * src/events.c: CVS revision 1.48, remove useless code
  * src/font.c: CVS revision 1.29, --default-font-index fix
  * src/font.c: CVS revision 1.12, --default-font-index fix
  * src/term.c: CVS revision 1.69, vim escape sequence fix
  * src/term.h: CVS revision 1.19, vim escape sequence fix
  * src/command.c: use NULL instead of "" for setlocale, possible
    dead key / locale problem fix, needs testing

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  8 Oct 2001 12:21:00 -0400

eterm (0.9.1-0pre2001072201) unstable; urgency=low

  * new CVS snapshot
  * restore x-terminal-emulator alternative, closes: #106006

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jul 2001 13:09:56 -0400

eterm (0.9.1-0pre2001071002) unstable; urgency=low

  * rebuild for versioned libast1 shlib, closes #104553

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 13 Jul 2001 14:26:35 -0400

eterm (0.9.1-0pre2001071001) unstable; urgency=low

  * new CVS snapshot
  * control: removed libc6-dev build dependency

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 10 Jul 2001 13:21:58 -0400

eterm (0.9.1-0pre2001062601) unstable; urgency=low

  * new CVS snapshot

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:31:50 -0400

eterm (0.9.1-0pre2001062001) unstable; urgency=low

  * new CVS snapshot
  * upstream anymod fix, Closes: #101161

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 20 Jun 2001 08:34:58 -0400

eterm (0.9.1-0pre2001061501) unstable; urgency=low

  * new CVS snapshot
  * eterm-utils.1: removed Etwinop
  * README.Debian: updated terminfo info

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 15 Jun 2001 18:41:05 -0400

eterm (0.9.1-0pre2001051702) unstable; urgency=low

  * source archive cleanup

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:03:47 -0400

eterm (0.9.1-0pre2001051701) unstable; urgency=low

  * resync with the cvs tree
  * add missing shlib dependencies, Closes: #97876
  * restore Eterm.ti and Eterm.tcap in docs/Eterm

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 May 2001 21:48:00 -0400

eterm (0.9.1-0pre2001051602) unstable; urgency=low

  * another CVS snapshot
  * various menus.cfg corrections
  * added missing pixmaps
  * depend on ncurses-term for terminfo definitions

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 16 May 2001 19:01:34 -0400

eterm (0.9.1-0pre2001051101) unstable; urgency=low

  * Debian pre-release of eterm 0.9.1
  * updated standards version to 3.5.4.0
  * deprecated eterm-ml, ml support is standard
  * reworte debian/rules
  * removed dh_testversion and dh_suidregister
  * removed extraneous config.in tests
  * removed extraneous menu pixmap entries
  * added Etsearch and kEsetroot to eterm-utils.1
  * added HOME/END key info to README.Debian, Closes: #97139
  * removed doc-base entries, possibly temporarily

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 21:38:15 -0400

eterm (0.9.0-9) unstable; urgency=low

  * removed $(debug) from debian/rules
  * versioned debhelper build-depend
  * debian/control update, courtesy of
  * Branden Robinson's <branden@debian.org> debian/control update
    + change build-dependency from xlib6g-dev to xlibs-dev
    + eterm and eterm-ml provide eterm-backgrounds
    + eterm-ml replaces eterm-backgrounds
    + tweaked package descriptions
  * eterm-backgrounds provides/replaces correction closes: #77148

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 16 Nov 2000 10:20:15 -0500

eterm (0.9.0-8) unstable; urgency=low

  * debian/rules re-write
  * added initial eterm-ml package with multi-charset support
  * added manpage for Eterm utilities
  * removed alternative for pixmap.list

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  5 Aug 2000 00:12:52 -0400

eterm (0.9.0-7) unstable; urgency=low

  * upstream security fix (re: June 1, 2000 Bugtraq, Xterm DoS Attack)

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  2 Jun 2000 00:23:03 -0400

eterm (0.9.0-6) unstable; urgency=low

  * postinst "Eterm" suidregister cleanup, closes:Bug#57054

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 23 Feb 2000 16:46:21 -0500

eterm (0.9.0-5) unstable; urgency=low

  * postinst typo, closes:Bug#58749, closes:Bug#58749
  * removed extraneous menus.cfg pixmap entries, closes:Bug#58071

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 23 Feb 2000 15:29:44 -0500

eterm (0.9.0-4) unstable; urgency=low

  * suidmanager support in postinst/prerm (taken from rxvt)
  * backspace set to ^?
  * config.cache removed in clean target

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 21 Feb 2000 17:44:49 -0500

eterm (0.9.0-3) unstable; urgency=low

  * removed patches

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 Feb 2000 12:55:15 -0500

eterm (0.9.0-2) unstable; urgency=low

  * control Maintainer correction
  * added patches and configure options for XIM and backspace

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 10 Feb 2000 18:00:19 -0500

eterm (0.9.0-1) unstable; urgency=low

  * new maintainer
  * new upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 30 Jan 2000 18:53:38 -0500

eterm (0.8.10-8) frozen unstable; urgency=low

  * Applied patch to fix segfault, closes: #55152

 -- Brian M. Almeida <bma@debian.org>  Mon, 17 Jan 2000 16:04:52 -0500

eterm (0.8.10-7) unstable; urgency=low

  * Ok, so debhelper and xlib6g-dev aren't really build essential. Pfft.

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 15:08:40 -0500

eterm (0.8.10-6) unstable; urgency=low

  * Removed debhelper and xlib6g-dev from Build-Depends
  * s/libz1-dev/zlib1g-dev in Build-Depends

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 11:21:55 -0500

eterm (0.8.10-5) unstable; urgency=low

  * Policy 3.1.1
  * Added Build-Depends:

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 10:32:56 -0500

eterm (0.8.10-4) unstable; urgency=low

  * Fixed manpage location in update-alternatives call

 -- Brian M. Almeida <bma@debian.org>  Wed,  1 Dec 1999 23:20:29 -0500

eterm (0.8.10-3) unstable; urgency=low

  * Removed eterm backgrounds from the distribution, so removed Suggests:
  * Added an Conflicts: on old versions of eterm backgrounds with duplicate
    files, closes: #50611

 -- Brian M. Almeida <bma@debian.org>  Fri, 19 Nov 1999 09:26:12 -0500

eterm (0.8.10-2) unstable; urgency=low

  * Fixed path in doc-base files, closes: #49629

 -- Brian M. Almeida <bma@debian.org>  Mon,  8 Nov 1999 20:49:22 -0500

eterm (0.8.10-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri,  5 Nov 1999 15:16:09 -0500

eterm (0.8.10-0.19990823) unstable; urgency=low

  * Upstream snapshot of 0.8.10, closes: #41387, #48645

 -- Brian M. Almeida <bma@debian.org>  Thu,  4 Nov 1999 14:45:38 -0500

eterm (0.8.9-11) unstable; urgency=low

  * Patch from James Troup to fix segfault in Esetroot, closes: #48924
  * Home/End keys are not part of policy, if you can show me otherwise,
    reopen the bug. closes: #44027

 -- Brian M. Almeida <bma@debian.org>  Tue,  2 Nov 1999 08:23:03 -0500

eterm (0.8.9-10) unstable; urgency=low

  * Fixed suidregister bug in postrm (closes: #47313)
  * Converted to debhelper v2
  * Cleaned up {pre,post}* scripts
  * Lintian clean

 -- Brian M. Almeida <bma@debian.org>  Mon, 18 Oct 1999 08:55:44 -0400

eterm (0.8.9-9) unstable; urgency=low

  * Fixed postinst typo (Closes: #43874, #43958)
  * Removed home/end keysyms in the default MAIN file (Closes: #43701)

 -- Brian M. Almeida <bma@debian.org>  Thu,  2 Sep 1999 07:24:38 -0400

eterm (0.8.9-8) unstable; urgency=low

  * Fixed postinst, TANSTAAFL...
  * Provides: x-terminal-emulator

 -- Brian M. Almeida <bma@debian.org>  Mon, 30 Aug 1999 23:17:27 -0400

eterm (0.8.9-7) unstable; urgency=low

  * Modified the postinst to dynamically determine if utmp exists
    instead of hardcoding the dependency (Thanks, Overfiend)

 -- Brian M. Almeida <bma@debian.org>  Mon, 23 Aug 1999 16:45:53 -0400

eterm (0.8.9-6) unstable; urgency=low

  * Ditch the setuid root bit, use setuid utmp instead (YAY!)

 -- Brian M. Almeida <bma@debian.org>  Wed,  4 Aug 1999 11:13:05 -0400

eterm (0.8.9-5) unstable; urgency=low

  * select_line and select_trailing_spaces now different (closes: #38965)
  * Put update-alternatives back into postrm, I've been told that's where
    it really belongs (ping, pong, ping, pong). Read the bug report more
    closely, oops, turns out I made a typo in the postrm *blush* (closes: #37643)
  * Compiled with KANJI support (warning: may have some bugs) (closes: #38760)

 -- Brian M. Almeida <bma@debian.org>  Sun,  6 Jun 1999 22:05:23 -0400

eterm (0.8.9-4) unstable; urgency=low

  * Moved update-alternatives call from prerm to postrm (closes: #37643)

 -- Brian M. Almeida <bma@debian.org>  Sat, 22 May 1999 09:16:12 -0400

eterm (0.8.9-3) unstable; urgency=low

  * Made Home/End keys behave exactly like xterm, should be the
    last of the keyboard troubles (thanks, ruud)

 -- Brian M. Almeida <bma@debian.org>  Wed, 28 Apr 1999 16:08:22 -0400

eterm (0.8.9-2) unstable; urgency=low

  * Fixed doc-base files (closes: #36734, #36735)
  * Added more stuff under clean target in debian/rules

 -- Brian M. Almeida <bma@debian.org>  Mon, 26 Apr 1999 17:10:20 -0400

eterm (0.8.9-1) unstable; urgency=low

  * New upstream release
  * Backspace and Delete now conform to policy (closes: #36597)

 -- Brian M. Almeida <bma@debian.org>  Mon, 26 Apr 1999 11:59:40 -0400

eterm (0.8.9-0.6) unstable; urgency=low

  * Erp, forgot to change the menu file

 -- Brian M. Almeida <bma@debian.org>  Sat, 10 Apr 1999 12:09:54 -0400

eterm (0.8.9-0.5) unstable; urgency=low

  * Moved /usr/X11R6/* to /usr/*, as the consensus seems to indicate
    that /usr/X11R6 is not for generic X applications

 -- Brian M. Almeida <bma@debian.org>  Sat, 10 Apr 1999 11:53:51 -0400

eterm (0.8.9-0.4) unstable; urgency=low

  * Oops, changed default TERM to xterm-debian again

 -- Brian M. Almeida <bma@debian.org>  Thu,  8 Apr 1999 22:30:11 -0400

eterm (0.8.9-0.3) unstable; urgency=low

  * Upstream CVS snapshot from 19990408
  * Eterm pty code reworked in upstream CVS snapshot, should use
    unix98 ptys if they exist, old way if they don't
  * Added undocumented manpages for new scripts

 -- Brian M. Almeida <bma@debian.org>  Thu,  8 Apr 1999 21:59:36 -0400

eterm (0.8.9-0.2) unstable; urgency=low

  * Applied unix98 pty support patch (closes: #35607)
  * Bumped Standards to 2.5.0.0

 -- Brian M. Almeida <bma@debian.org>  Tue,  6 Apr 1999 07:31:01 -0400

eterm (0.8.9-0.1) unstable; urgency=low

  * eterm now Suggests: eterm-backgrounds instead of Recommends
    to ease the pains of the 8mb file on dselect users :) (#35274)

 -- Brian M. Almeida <bma@debian.org>  Tue, 30 Mar 1999 19:22:31 -0500

eterm (0.8.9-0) unstable; urgency=low

  * Snapshot out of 19990330 CVS
  * Upstream fix for Compose key (#34151)
  * debian/rules now uses DESTDIR
  * Fixes symlinks in debian/rules instead of postinst (lintian)
  * /usr/share/Eterm/pix/pixmaps.list no longer obliterated, uses
    update-alternatives

 -- Brian M. Almeida <bma@debian.org>  Tue, 30 Mar 1999 16:20:38 -0500

eterm (0.8.8-6) unstable; urgency=low

  * --console/-C option now writes to /dev/xconsole (#33847)

 -- Brian M. Almeida <bma@debian.org>  Fri, 26 Feb 1999 11:05:35 -0500

eterm (0.8.8-5) unstable; urgency=high

  * Upstream security fix for bug #33558

 -- Brian M. Almeida <bma@debian.org>  Thu, 18 Feb 1999 15:29:43 -0500

eterm (0.8.8-4) unstable; urgency=low

  * Changed suidmanager line to use 4755 instead of 04755 (#33470)
  * Added doc-base support (#31168)
  * Cleaned up some lintian errors
      - Calls ldconfig in postinst
      - Removed -rpath stuff

 -- Brian M. Almeida <bma@debian.org>  Tue, 16 Feb 1999 15:55:04 -0500

eterm (0.8.8-3) unstable; urgency=low

  * REALLY fixed the pixmap problem! Yay! Thanks to Thunder- for his help
    in tracking it down.

 -- Brian M. Almeida <bma@debian.org>  Tue,  9 Feb 1999 19:33:47 -0500

eterm (0.8.8-2) unstable; urgency=low

  * Correct eterm-backgrounds dependency (#28215)
  * Relies on correct version of imlib (#29463)
  * Added glibc2.1 fix for sparc port from Christian Meder (#32816)
  * Corrected pixmap.lists files (#32835)
  * Added note about non-bash shells and vim in README.Debian (re: #32768)

 -- Brian M. Almeida <bma@debian.org>  Sat,  6 Feb 1999 19:23:21 -0500

eterm (0.8.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Updated download location in /usr/doc/copyright
  * Added Eterm termcap files in /usr/doc/eterm
  * imlib-nonfree1 is dead, background problem fixed (#20528)
  * Uses correct location of Imlib.h (#24381)
  * Backspace problem under bash fixed (#27617)
  * Changed default TERM to xterm-debian (#27678)
  * Has sample configuration file (#28018)
  * Correct depends on eterm-backgrounds (#28284)
  * Eterm now registers with suidmanager (#29777)
  * Linked against libjpeg62 (#30464)
  * Linked against libpng2-1.0.2b (#30975)
  * Symlinks no longer dangle (#31511)
  * Esetroot memory leak fixed (#32225)

 -- Brian M. Almeida <bma@debian.org>  Mon,  1 Feb 1999 15:24:00 -0500

eterm (0.8.7-0.4) frozen unstable; urgency=low

  * Non-maintainer upload
  * Fixed -rpath bug

 -- Brian M. Almeida <bma@debian.org>  Mon,  7 Dec 1998 18:32:00 -0500

eterm (0.8.7-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Fixed the still-broken themes in 0.8.7-0.2

 -- Brian M. Almeida <bma@debian.org>  Sun, 25 Oct 1998 11:00:00 -0400

eterm (0.8.7-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Fixed the extremely broken 0.8.7-0.1 (Oops!)
  * Added more cleanup stuff to debian/rules (.deps .libs etc)

 -- Brian M. Almeida <bma@debian.org>  Sat, 24 Oct 1998 00:53:45 -0400

eterm (0.8.7-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu, 22 Oct 1998 00:53:45 -0400

eterm (0.8.6-3) unstable; urgency=low

  * Changed the depends: backgrounds to a Recommends at the request of Zed Phobre

 -- Sean E. Perry <shaleh@debian.org>  Tue, 20 Oct 1998 00:53:45 -0400

eterm (0.8.6-2) unstable; urgency=low

  * Fixed the menu file -- typos gotta love 'em

 -- Sean E. Perry <shaleh@debian.org>  Mon, 19 Oct 1998 21:43:20 -0400

eterm (0.8.6-1) frozen unstable; urgency=low

  * Fixed the fact that the theme files were missing
  * Can find the pixmaps properly now

 -- Sean E. Perry <shaleh@debian.org>  Sun, 18 Oct 1998 02:19:22 -0400

eterm (0.8.6-0) unstable; urgency=low

  * New maintainer
  * new upstream release

 -- Sean E. Perry <shaleh@debian.org>  Sun, 27 Sep 1998 20:18:11 -0400
